/*
Theme Name:   BoogieCreative
Theme URI:    https://wordpress.org/themes/neve/
Description:  Neve child theme
Author:       Themeisle
Author URI:   https://themeisle.com/
Template:     neve
Version:      1.0.0
Text Domain:  nevechild
*/
body, p, li {
    font-family: 'Averia Serif Libre', sans-serif;
	font-size:1.2em;
    line-height:1.4em;
}
ul {
    padding-inline-start: 20px;
}
em, i {
  font-style: italic;
}
strong {
    font-weight: 600;
}
strong.italic {
    font-weight: 600;
    font-style: italic;
}
h1, h2, h3, h4, h5, h6, .nav-ul a {
    font-family: 'Quicksand', sans-serif;
    line-height:1.4em;
}
h1, h2, h3 {
    font-weight: 600;
}
h4, h5, h6 {
    font-weight: 400;
}
footer h1, footer h2, footer h3, footer h4, footer h5, footer h6 {
    font-family: 'Quicksand', sans-serif !important;
    text-decoration:none;
    margin:0 0 0 0;
}
footer, footer p, footer li, footer span, footer a {
    font-family: 'Averia Serif Libre', sans-serif !important;
    text-decoration:none;
}
html[lang^="fi"] .foo-en {
  display: none !important;
}
html[lang^="en"] .foo-fi {
  display: none !important;
}

/*Navigaatio*/
.why-boogie{
    position: relative;
    padding-left: 40px;
}
.why-boogie::before {
    content: "";
    width: 30px;
    height: 30px;
    position: absolute;
    top: 5px;
    left: 0;
    background:url('https://boogiecreative.fi/wp-content/uploads/2026/01/BoogieCreative-B-kirjain.svg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

/*HERO-alue*/
.boogie-otsikko h1 {
    font-size:3em;
}
#hero {
    position: relative;
    z-index: 1; 
}
#hero::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: radial-gradient(circle at 90% -80%, rgba(47,52,99,.4) 0%, rgba(203,85,151,.4) 100%);
    z-index: 1;
    pointer-events: none;
}
#lottie-animation {
    position: relative;
    transition:ease all .75s;
    z-index: 2;
    max-width:700px;
}
#lottie-animation:hover {
    transform: scale(1.1);
    filter: drop-shadow(0px 0px 30px #cb5597);
}
#small-logo {
    transition:ease all .5s;
}
#small-logo:hover {
    transform: scale(1.05);
    filter: drop-shadow(0px 0px 30px #cb5597);
}

/*Painikkeet*/
a.elementor-button {
}
a.elementor-button::before {
}
a.elementor-button::after {
    content: "\f061";
    font-family: "Font Awesome 5 Free"; 
    font-size:.8em;
    font-weight: 600; 
    margin-left: 8px;
}
a.elementor-button:hover {
}

/*Etusivu*/
#gradient-bg {
    position: relative;
    background: linear-gradient(30deg, #2f3463 30%, #cb5597 70%);
    background-size: 300% 300%;
    animation: animated-gradient-wave 10s ease-in-out infinite;
}
@keyframes animated-gradient-wave {
    0%, 100% { background-position: 0% 50%; }
    50% { background-position: 100% 50%; }
}

/*Lomake*/
.wpcf7 {
	font-family: 'Averia Serif Libre', sans-serif;
	color:#fff;
}
.wpcf7 input[type="text"],
.wpcf7 input[type="email"],
.wpcf7 input[type="tel"],
.wpcf7 textarea
{
}
input[type=checkbox] {
}
.wpcf7-list-item {
}
.wpcf7-list-item.first {
}
.wpcf7 input[type="submit"] {
}
.wpcf7 input[type="submit"]:hover {
}
#yhteys-lomake .wpcf7{
}
#yhteys-lomake .wpcf7 input[type="submit"]{
}

/*Haitari*/
.e-n-accordion-item {
}
h4.e-n-accordion-item-title-text{
}
.e-n-accordion-item-title {
}
.e-n-accordion-item p{
}

/*Footer*/
.site-footer {
}
.footer-top {
    padding:100px 0;
    background:url('https://boogiecreative.fi/wp-content/uploads/2026/01/BoogieCreative-Kuvituskuva-1.webp');
    background-position: 50% 25%;
    background-repeat: no-repeat;
    background-size: cover;
}
.footer-top::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: radial-gradient(circle at 90% -80%, rgba(47,52,99,.8) 0%, rgba(203,85,151,.8) 100%);
    z-index: 0;
    pointer-events: none;
}
.footer-top h3 {
    color:#fff;
    text-shadow: 0px 0px 5px rgba(0, 0, 0, 0.4);
}
.footer-main .footer--row-inner{
    padding:20px 0;
}
.footer-bottom {
    display: none;
}
.linkedin-btn {
    transition:ease all .5s;
}
.linkedin-btn:hover{
    transform: scale(1.05);
}

/*Tietosuojasivu*/
body.page-id-192 {
    font-size:1em;
}

/* Responsiivisuudet */
@media (max-width: 1366px) {
}
@media (max-width: 959px) {
    .boogie-otsikko h1 {
        font-size:2.8em;
    }
    .why-boogie {
        padding-left: 0px;
    }
    .why-boogie::before {
        display:none;
        width: 0px;
        height: 0px;
    }
    .why-boogie::after {
        content: "";
        width: 30px;
        height: 30px;
        position: absolute;
        top: 20px;
        right: 0;
        background:url('https://boogiecreative.fi/wp-content/uploads/2026/01/BoogieCreative-B-kirjain.svg');
        background-position: center;
        background-repeat: no-repeat;
        background-size: contain;
    }
    
}
@media (max-width: 767px) {
    .boogie-otsikko h1 {
        font-size:2.6em;
    }
}
@media (max-width: 350px) {
}